Do you know you can earn heaps of $$ by answering questions on kodlogs, for more info contact us through feedback link at footer? We are Australian based web site and pay you for answering questions

  • Register
Welcome to Kodlogs Q&A, where you can ask programming questions and receive answers from other members of the community. For programmers, by programmers Kodlogs is an open community for anyone that does coding. We help you get answers to your toughest coding questions, share knowledge with your coworkers in private, and find your next IT dream job.
0 votes
4 views
error:could not determine the class-path for interface com.android.builder.model.androidproject.
by (2.7k points)  
retagged by

2 Answers

0 votes

Remedy for this issue:

Step1:

* You need to check classpath in build.gradle file. and then replace it with

   classpath 'com.android.tools.build:gradle:2.3.0'

Step2: Then next step is 

2: Go to gradle-wrapper.properties, and replace distributionUrl with following

distributionUrl=http://services.gradle.org/distributions/gradle-3.3-all.zip

Finally rebuild the project it should sort out the issue.

by (1.2k points)  
0 votes

Solution:

Please check gradle plugin version . Open the directory \gradle\m2repository\com\android\tools\build\gradle\, to see all version  installed.

Go to Android Studio, open tab 'Project -> Gradle Scripts', do editing on file build.gradle, update the gradle plugin to latest version .

Conclusion:

The final step is to clean and rebuild the project and run.

by (1.4k points)  
...